# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class BaseEventEntry.EventStatus

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.extensions.BaseEventEntry.EventStatus

All Implemented Interfaces:
  Extension

Enclosing class:
  BaseEventEntry<E extends BaseEventEntry<E>>

    public static class BaseEventEntry.EventStatus

extends ValueConstruct

Defines the base set of values for event status.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static BaseEventEntry.EventStatus` `CANCELED`
`static java.lang.String` `CANCELED_VALUE`
`static BaseEventEntry.EventStatus` `CONFIRMED`
`static java.lang.String` `CONFIRMED_VALUE`
`static BaseEventEntry.EventStatus` `TENTATIVE`
`static java.lang.String` `TENTATIVE_VALUE`

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`BaseEventEntry.EventStatus()`
`BaseEventEntry.EventStatus(java.lang.String value)`

Method Summary
`static ExtensionDescription` `getDefaultDescription()`

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired, setValue`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIRMED_VALUE

    public static final java.lang.String CONFIRMED_VALUE

See Also:
  Constant Field Values

### TENTATIVE_VALUE

    public static final java.lang.String TENTATIVE_VALUE

See Also:
  Constant Field Values

### CANCELED_VALUE

    public static final java.lang.String CANCELED_VALUE

See Also:
  Constant Field Values

### CONFIRMED

    public static final BaseEventEntry.EventStatus CONFIRMED

### TENTATIVE

    public static final BaseEventEntry.EventStatus TENTATIVE

### CANCELED

    public static final BaseEventEntry.EventStatus CANCELED

Constructor Detail

### BaseEventEntry.EventStatus

    public BaseEventEntry.EventStatus()

### BaseEventEntry.EventStatus

    public BaseEventEntry.EventStatus(java.lang.String value)

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()